# classes.cmd - this is a command file to use with utility GlueCut.
# Converts KOL.pas to KOL with classes ..\classes\KOL.pas

# (C) by Vladimir Kladov, 2003.
# bonanzas@online.sinor.ru
# http://bonanzas.rinet.ru
# 24-Dec-2003. Merry Cristmas!

/OUT:classes
# This instruction defines default output directory classes\
# relative to the one where input file is located. It is
# ignored if option /O:dirpath is used in the command line.

# Below instructions define conversions which should be
# done with the source to make it compatible with
# the Free Pascal Compiler.
# These are based mainly on comments already included in
# the KOL.pas.
# All the lines until following comment in the KOL.pas
# are just copied to the output file (default output
# is located in FPC\KOL.pas).

SKIP [{-}][{+}]
# All substrings between {-} and {+} are skept while
# copying.
SKIP [{-BCB-}][{+BCB+}]

REPLACE [{++}(*][]
REPLACE [*){--}][]
# All the sequences "{++}(* some text *){--}" are
# replaced to "some text".
REPLACE [{BCB++}(*][]
REPLACE [*){--BCB}][]

REPLACE [= object(][= class(]
REPLACE [@Self][Self]
REPLACE [@ Self][Self]
# These three replacements above provides conversion
# from "object" to "class", together with others.

REPLACE [{u}][{$IFDEF _D8orHigher} unsafe; {$ENDIF}]

//[START OF KOL.pas]

COPY
# All the lines from the section now are copied, and
# while copying all the rules defined above are applied.

//[VERSION]
COPY
TEXT --
  This is not the original KOL.pas file, but a version
  converted automatically using GlueCut utility.
  Do not modify or redistribute this KOL.pas file !
  Instead, modify or redistribute original KOL.pas
  file and then run GlueCut again with "classes" command
  file as a parameter to generate another version of
  this version of the KOL.pas.
--
//[END OF VERSION]

COPY

//[UNIT DEFINES]
TEXT --
{$INCLUDE win32def.inc}
--
//[START OF UNIT]

COPY

//[USES]
TEXT --
uses
    messages, windows, RichEdit {$IFDEF CHK_GDI}, ChkGdi {$ENDIF};
--
//[END OF USES]

COPY

//[FILES]
INCLUDE [win32files.inc]
//[END FILES]

COPY

//[END OF KOL.pas]

# All other lines are copied as is, without changes.